<?php

class Upload extends CI_Controller {

    function __construct() {

        parent::__construct();
        $this->load->model('Cadastro_Model');
        $this->load->model('Cursos_Model');
        $this->load->library('Criptografia');
        $this->load->library('wideimage/WideImage');
        $this->load->database();
    }

    public function upload() {

        $path = "./assets/img/assinatura/";

        // definimos as configurações para o upload
        // determinamos o path para gravar o arquivo
        $configUpload['upload_path'] = $path;
        // definimos - através da extensão - 
        // os tipos de arquivos suportados
        $configUpload['allowed_types'] = 'jpg|png|jpeg';
        // definimos que o nome do arquivo
        // será alterado para um nome criptografado
        $configUpload['encrypt_name'] = TRUE;
        $configUpload['max_size'] = '20480';

        // passamos as configurações para a library upload
        $this->upload->initialize($configUpload);

        // verificamos se o upload foi processado com sucesso
        if (!$this->upload->do_upload('assinatura_alunos')) {
            // em caso de erro retornamos os mesmos para uma variável
            // e enviamos para a home
            $this->session->set_flashdata('erro-assinatura', '<div class="alert alert-warning aviso-assinatura" role="alert"> <i class="fa fa-info-circle"></i> ' . $this->upload->display_errors() . '</div>');
            redirect('meusdados');
        } else {
            $data['dadosArquivo'] = $this->upload->data();

            $dir = $data['dadosArquivo']['file_path'];
            $nomeImagem = $data['dadosArquivo']['file_name'];

            $imagemUpload = $dir . $nomeImagem;

            $img = $this->wideimage->loadFromFile($imagemUpload);
            $img = $img->crop($this->input->post('x'), $this->input->post('y'), $this->input->post('width'), $this->input->post('height'));
            $img->saveToFile($imagemUpload);
            $nomeAssinatura = base_url() . 'assets/img/assinatura/'.$nomeImagem;
            $info = array('assinatura' => $nomeAssinatura, 'ativo' => 0);
            $this->Cadastro_Model->documentacaoassinatura($info);

            $this->session->set_flashdata('sucesso-upload', '<div class="alert alert-success" role="alert"><i class="fa fa-check-circle"></i> Assinatura salva com sucesso</div>');

            redirect('meusdados');
        }
    }

    public function atualizassinatura() {

        $nomeImagem = $this->input->post('assinatura');
        $info = array('assinatura' => $nomeImagem, 'ativo' => 0);
        $this->Cadastro_Model->documentacaoassinatura($info);


        $data = array('situacao' => 'true');
        echo json_encode($data);
    }

}
